%define upstream_name    Starman
%define upstream_version 0.3006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Plack adapter for Starman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Parser::XS)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Net::Server) >= 0.910.0
BuildRequires: perl(Plack) >= 0.997.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 1.110.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Starman is a PSGI perl web server that has unique features such as:

* High Performance

  Uses the fast XS/C HTTP header parser

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/starman
/usr/share/man/man1/starman.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.300.600-2.mga3
+ Revision: 372748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.300.600-1.mga3
+ Revision: 342616
- update to 0.3006

* Wed Nov 14 2012 jquelin <jquelin> 0.300.400-1.mga3
+ Revision: 317732
- update to 0.3004

* Fri Sep 28 2012 jquelin <jquelin> 0.300.300-1.mga3
+ Revision: 298956
- update to 0.3003

* Wed Sep 26 2012 jquelin <jquelin> 0.300.200-1.mga3
+ Revision: 298112
- update to 0.3002

* Wed Jul 04 2012 jquelin <jquelin> 0.300.100-1.mga3
+ Revision: 267509
- update to 0.3001

* Thu Feb 23 2012 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 213183
- update to 0.3000

* Mon Sep 26 2011 jquelin <jquelin> 0.201.400-1.mga2
+ Revision: 148208
- update to 0.2014
- imported package perl-Starman

